package com.ejgv.gvi.dao;

/**
 * Created by Batura Mobile Solutions (Koldo Calvo).
 */
final class TableMessage
{
    interface Table
    {
        String NAME = "Messages";
    }

    interface Columns
    {
        String ID_TRANS = "idTrans";
        String PUBLIC = "public";
        String PRIVATE_EU = "privateEu";
        String PRIVATE_ES = "privateEs";
        String TAG_EU = "tagEu";
        String TAG_ES = "tagEs";
        String TS = "ts";
        String TS_READ = "tsRead";
        String ALIAS = "alias";
    }

    static final String CREATE_TABLE = new StringBuilder()
            .append("CREATE TABLE ").append(Table.NAME)
            .append(" (")
            .append(Columns.ID_TRANS).append(" TEXT NOT NULL, ")
            .append(Columns.PUBLIC).append(" TEXT NOT NULL, ")
            .append(Columns.PRIVATE_EU).append(" TEXT DEFAULT NULL, ")
            .append(Columns.PRIVATE_ES).append(" TEXT DEFAULT NULL, ")
            .append(Columns.TAG_EU).append(" TEXT NULL, ")
            .append(Columns.TAG_ES).append(" TEXT NULL, ")
            .append(Columns.TS).append(" DATETIME NOT NULL, ")
            .append(Columns.TS_READ).append(" DATETIME DEFAULT NULL, ")
            .append(Columns.ALIAS).append(" TEXT DEFAULT NULL, ")
            .append("PRIMARY KEY (").append(Columns.ID_TRANS).append(")")
            .append(");")
            .toString();
}