package com.ejgv.gvi.dao.dto;

import com.ejgv.gvi.restapipns.dto.DTOPnsMessage;
import com.ejgv.gvi.restapipns.dto.DTOPnsMsgPrivate;
import com.ejgv.gvi.restapipns.dto.DTOText;

/**
 * Created by Batura Mobile Solutions (Koldo Calvo).
 */
public class DTOMessage extends DTOPnsMessage
{
    private long tsRead;

    private long tsResponse;

    private String responseCode;

    private DTOText responseText;

    public DTOMessage() {}

    public DTOMessage(String idTrans, String publicText, DTOPnsMsgPrivate privateMsg, long ts)
    {
        super(idTrans, publicText, privateMsg, ts);
    }

    public DTOMessage(String idTrans, String publicText, DTOPnsMsgPrivate privateMsg, long ts,
                      long tsRead, long tsResponse, String responseCode, DTOText responseText)
    {
        super(idTrans, publicText, privateMsg, ts);
        this.tsRead = tsRead;
        this.tsResponse = tsResponse;
        this.responseCode = responseCode;
        this.responseText = responseText;
    }

    public DTOMessage(DTOPnsMessage pnsMessage)
    {
        super(pnsMessage.getIdTrans(), pnsMessage.getPublicText(), pnsMessage.getPrivateMsg(), pnsMessage.getTs());
    }

    public long getTsRead() {
        return tsRead;
    }

    public void setTsRead(long tsRead) {
        this.tsRead = tsRead;
    }

    public long getTsResponse() {
        return tsResponse;
    }

    public void setTsResponse(long tsResponse) {
        this.tsResponse = tsResponse;
    }

    public String getResponseCode() {
        return responseCode;
    }

    public void setResponseCode(String responseCode) {
        this.responseCode = responseCode;
    }

    public DTOText getResponseText() {
        return responseText;
    }

    public void setResponseText(DTOText responseText) {
        this.responseText = responseText;
    }
}