package com.ejgv.gvi.dmo;

import android.os.Parcel;
import android.os.Parcelable;

import com.ejgv.gvi.restapipns.dto.DTOPnsMsgPrivate;
import com.ejgv.gvi.restapipns.dto.DTOPnsMsgPrivateResponse;
import com.ejgv.gvi.restapipns.dto.DTOText;

/**
 * Created by Batura Mobile Solutions (Koldo Calvo).
 */
public class DMOPnsMsgPrivate extends DTOPnsMsgPrivate implements Parcelable
{
    public DMOPnsMsgPrivate()
    {
    }

    public DMOPnsMsgPrivate(DTOPnsMsgPrivate dtoPnsMsgPrivate)
    {
        super();
        if (dtoPnsMsgPrivate != null)
        {
            setTag(dtoPnsMsgPrivate.getTag());
            setText(dtoPnsMsgPrivate.getText());
            setResponse(dtoPnsMsgPrivate.getResponse());
        }
    }

    protected DMOPnsMsgPrivate(Parcel in)
    {
        setTag((DTOText) in.readParcelable(DMOText.class.getClassLoader()));
        setText((DTOText) in.readParcelable(DMOText.class.getClassLoader()));
        setResponse((DTOPnsMsgPrivateResponse) in.readParcelable(DMOPnsMsgPrivateResponse.class.getClassLoader()));
    }

    public static final Creator<DMOPnsMsgPrivate> CREATOR = new Creator<DMOPnsMsgPrivate>() {
        @Override
        public DMOPnsMsgPrivate createFromParcel(Parcel in) {
            return new DMOPnsMsgPrivate(in);
        }

        @Override
        public DMOPnsMsgPrivate[] newArray(int size) {
            return new DMOPnsMsgPrivate[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags)
    {
        dest.writeParcelable( new DMOText(getTag()), flags);
        dest.writeParcelable( new DMOText(getText()), flags);
        dest.writeParcelable( new DMOPnsMsgPrivateResponse(getResponse()), flags);
    }
}