package com.ejgv.gvi.dmo;

import android.os.Parcel;
import android.os.Parcelable;

import com.ejgv.gvi.restapipns.dto.DTOText;

/**
 * Created by Batura Mobile Solutions (Koldo Calvo).
 */
public class DMOText extends DTOText implements Parcelable
{
    public DMOText()
    {
    }

    public DMOText(DTOText dtoText)
    {
        super();
        if (dtoText != null)
        {
            setEu(dtoText.getEu());
            setEs(dtoText.getEs());
        }
    }

    protected DMOText(Parcel in)
    {
        setEu(in.readString());
        setEs(in.readString());
    }

    public static final Creator<DMOText> CREATOR = new Creator<DMOText>()
    {
        @Override
        public DMOText createFromParcel(Parcel in) {
            return new DMOText(in);
        }

        @Override
        public DMOText[] newArray(int size) {
            return new DMOText[size];
        }
    };

    @Override
    public int describeContents()
    {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags)
    {
        dest.writeString(getEu());
        dest.writeString(getEs());
    }
}