package com.ejgv.gvi.restapipns.dto;

import com.google.gson.annotations.SerializedName;

/**
 * Created by Batura Mobile Solutions (Koldo Calvo).
 */
public class DTOPnsMessage
{
    @SerializedName("trans_id")
    private String idTrans;

    @SerializedName("public")
    private String publicText;

    @SerializedName("private")
    private DTOPnsMsgPrivate privateMsg;

    @SerializedName("ts")
    private long ts;

    public DTOPnsMessage() {}

    public DTOPnsMessage(String idTrans, String publicText, DTOPnsMsgPrivate privateMsg, long ts)
    {
        this.idTrans = idTrans;
        this.publicText = publicText;
        this.privateMsg = privateMsg;
        this.ts = ts;
    }

    public String getIdTrans() {
        return idTrans;
    }

    public void setIdTrans(String idTrans) {
        this.idTrans = idTrans;
    }

    public String getPublicText() {
        return publicText;
    }

    public void setPublicText(String publicText) {
        this.publicText = publicText;
    }

    public DTOPnsMsgPrivate getPrivateMsg() {
        return privateMsg;
    }

    public void setPrivateMsg(DTOPnsMsgPrivate privateMsg) {
        this.privateMsg = privateMsg;
    }

    public long getTs() {
        return ts;
    }

    public void setTs(long ts) {
        this.ts = ts;
    }
}