package com.ejgv.gvi.utils;

import android.util.Log;

import com.ejgv.gvi.BuildConfig;

/**
 * Created by Batura Mobile Solutions (Koldo Calvo).
 */
public class UtilsLog
{
    static final boolean DEBUG = BuildConfig.DEBUG;

    public static void i(String tag, String string)
    {
        if (DEBUG) {
            tag = substrTag(tag);
            Log.i(tag, string);
        }
    }
    public static void e(String tag, String string)
    {
        if (DEBUG) {
            tag = substrTag(tag);
            Log.e(tag, string);
        }
    }
    public static void d(String tag, String string)
    {
        if (DEBUG) {
            tag = substrTag(tag);
            Log.d(tag, string);
        }
    }
    public static void d(String tag, String string, Throwable t)
    {
        if (DEBUG) {
            tag = substrTag(tag);
            Log.d(tag, string, t);
        }
    }
    public static void v(String tag, String string)
    {
        if (DEBUG) {
            tag = substrTag(tag);
            Log.v(tag, string);
        }
    }
    public static void w(String tag, String string)
    {
        if (DEBUG) {
            tag = substrTag(tag);
            Log.w(tag, string);
        }
    }
    
    private static String substrTag(String tag)
    {
        if (tag.length() > 23)
            tag = tag.substring(0, 23);
        return tag;
    }
}