package com.ejgv.gvi;

import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.support.v7.app.ActionBar;
import android.support.v7.app.AppCompatActivity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

/**
 * Created by Batura Mobile Solutions (Koldo Calvo).
 */
/**
 * A simple {@link Fragment} subclass.
 * create an instance of this fragment.
 */
public class AboutFragment extends Fragment
{

    // UI References
    private TextView mTxtVersion;


    public AboutFragment()
    {
        // Required empty public constructor
    }

    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);


    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState)
    {
        ActionBar actionBar = ((AppCompatActivity) getActivity()).getSupportActionBar();
        actionBar.setDisplayShowTitleEnabled(true);
        actionBar.setTitle(R.string.title_fragment_about);

        // Inflate the layout for this fragment
        View v = inflater.inflate(R.layout.fragment_about, container, false);
        mTxtVersion = (TextView) v.findViewById(R.id.about_version_txt);

        try {

            PackageInfo pInfo = getContext().getPackageManager().getPackageInfo(getContext().getPackageName(), 0);
            mTxtVersion.setText(String.format("%1$s%2$s%3$s", getResources().getString(R.string.description_fragment_about_version), ": ", pInfo.versionName));

        } catch (PackageManager.NameNotFoundException e) {
            e.printStackTrace();
            mTxtVersion.setText("");
        }

        return v;
    }

}