package com.ejgv.gvi;

import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.design.widget.TabLayout;
import android.support.v4.app.Fragment;
import android.support.v4.view.ViewPager;
import android.support.v7.app.ActionBar;
import android.support.v7.app.AppCompatActivity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import com.ejgv.gvi.adapters.ViewPagerAdapter;

/**
 * Created by ivanbatura on 28/4/16.
 */
public class NewsPagerFragment extends Fragment {

    ViewPager pager;
    ViewPagerAdapter adapter;
    TabLayout tabs;

    int Numboftabs =2;
    @Nullable
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {

        ActionBar actionBar = ((AppCompatActivity) getActivity()).getSupportActionBar();
        actionBar.setDisplayShowTitleEnabled(true);
        actionBar.setTitle(R.string.title_fragment_news);

        // Creating The Toolbar and setting it as the Toolbar for the activity
        View view = inflater.inflate(R.layout.fragment_news_pager, container, false);

        CharSequence Titles[]={getString(R.string.news_tab_first_title),getString(R.string.news_tab_second_title)};
        // Creating The ViewPagerAdapter and Passing Fragment Manager, Titles fot the Tabs and Number Of Tabs.
        adapter = new ViewPagerAdapter(getChildFragmentManager(), Titles, Numboftabs, getContext());

        // Assigning ViewPager View and setting the adapter
        pager = (ViewPager) view.findViewById(R.id.pager);
        pager.setAdapter(adapter);

        // Assiging the Sliding Tab Layout View
        tabs = (TabLayout) view.findViewById(R.id.tabs);

        // Setting the ViewPager For the SlidingTabsLayout
        tabs.setupWithViewPager(pager);
        return view;
    }
}
