package com.ejgv.gvi.dao;

/**
 * Created by Batura Mobile Solutions (Koldo Calvo).
 */
final class TableMsgPendingOperation
{
    interface Table
    {
        String NAME = "MsgPendingOperations";
    }

    interface Columns
    {
        String ID_TRANS = "idTrans";
        String OPERATION = "operation";
    }

    interface Triggers
    {
        String AFTER_INSERT_MSGPENDINGOPERATIONS_CHECK_MESSAGES = "after_insert_MsgPendingOperations_check_Messages";
    }

    static final String CREATE_TABLE = new StringBuilder()
            .append("CREATE TABLE ").append(Table.NAME)
            .append(" (")
            .append(Columns.ID_TRANS).append(" TEXT NOT NULL, ")
            .append(Columns.OPERATION).append(" TEXT NOT NULL, ")
            .append("CHECK (").append(Columns.OPERATION).append(" IN ('R','D')), ")
            .append("PRIMARY KEY (").append(Columns.ID_TRANS).append(", ").append(Columns.OPERATION).append(")")
            .append(");")
            .toString();

    static final String CREATE_TRIGGERS = new StringBuilder()
            .append("CREATE TRIGGER ").append(Triggers.AFTER_INSERT_MSGPENDINGOPERATIONS_CHECK_MESSAGES)
            .append(" BEFORE INSERT ON ").append(Table.NAME)
            .append(" FOR EACH ROW BEGIN")
            .append(" SELECT RAISE(ABORT, 'Constraint fail')")
            .append(" WHERE (SELECT 1 FROM ").append(TableMessage.Table.NAME).append(" WHERE ").append(TableMessage.Table.NAME).append(".").append(TableMessage.Columns.ID_TRANS).append("=").append("NEW.").append(Columns.ID_TRANS).append(") IS NULL;")
            .append(" END;")
            .toString();
}