package com.ejgv.gvi.dao;

/**
 * Created by Batura Mobile Solutions (Koldo Calvo).
 */
public class TableMsgResponsed
{
    interface Table
    {
        String NAME = "MsgResponsed";
    }

    interface Columns
    {
        String ID_TRANS = "idTrans";
        String CODE = "code";
        String TS_RESPONSE = "tsResponse";
    }

    interface Indexes
    {
        String RESPONSE_CODE_INDEX = "responseCodeIndex";
    }

    static final String CREATE_TABLE = new StringBuilder()
            .append("CREATE TABLE ").append(Table.NAME)
            .append(" (")
            .append(Columns.ID_TRANS).append(" TEXT NOT NULL, ")
            .append(Columns.CODE).append(" INTEGER NOT NULL, ")
            .append(Columns.TS_RESPONSE).append(" TIMESTAMP NOT NULL, ")
            .append("PRIMARY KEY (").append(Columns.ID_TRANS).append(") ")
            .append("FOREIGN KEY (").append(Columns.ID_TRANS).append(", ").append(Columns.CODE).append(") REFERENCES ").append(TableMsgResponseValue.Table.NAME)
            .append(" (").append(TableMsgResponseValue.Columns.ID_TRANS).append(", ").append(TableMsgResponseValue.Columns.CODE).append(") ON DELETE CASCADE")
            .append(");")
            .toString();

    static final String CREATE_INDEXES = new StringBuilder()
            .append("CREATE INDEX ").append(Indexes.RESPONSE_CODE_INDEX).append(" ON ").append(Table.NAME).append(" (").append(Columns.CODE).append(");")
            .toString();
}