package com.ejgv.gvi.dmo;

import android.os.Parcel;
import android.os.Parcelable;

import com.ejgv.gvi.restapipns.dto.DTOPnsMsgPrivateResponse;
import com.ejgv.gvi.restapipns.dto.DTOPnsMsgPrivateResponseValues;

/**
 * Created by Batura Mobile Solutions (Koldo Calvo).
 */
public class DMOPnsMsgPrivateResponse extends DTOPnsMsgPrivateResponse implements Parcelable
{
    public DMOPnsMsgPrivateResponse()
    {
    }

    public DMOPnsMsgPrivateResponse(DTOPnsMsgPrivateResponse dtoPnsMsgPrivateResponse)
    {
        super();
        if (dtoPnsMsgPrivateResponse != null)
        {
            setAlias(dtoPnsMsgPrivateResponse.getAlias());
            setValues(dtoPnsMsgPrivateResponse.getValues());
        }
    }

    protected DMOPnsMsgPrivateResponse(Parcel in)
    {
        setAlias(in.readString());
        setValues((DTOPnsMsgPrivateResponseValues[]) in.readParcelableArray(DMOPnsMsgPrivateResponseValue.class.getClassLoader()));
    }

    public static final Creator<DMOPnsMsgPrivateResponse> CREATOR = new Creator<DMOPnsMsgPrivateResponse>()
    {
        @Override
        public DMOPnsMsgPrivateResponse createFromParcel(Parcel in)
        {
            return new DMOPnsMsgPrivateResponse(in);
        }

        @Override
        public DMOPnsMsgPrivateResponse[] newArray(int size)
        {
            return new DMOPnsMsgPrivateResponse[size];
        }
    };

    @Override
    public int describeContents()
    {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags)
    {
        dest.writeString(getAlias());
        if (getValues() != null)
        {
            DMOPnsMsgPrivateResponseValue[] responseValues = new DMOPnsMsgPrivateResponseValue[getValues().length];
            for (int i = 0, len = getValues().length; i < len; i++)
            {
                responseValues[i] = new DMOPnsMsgPrivateResponseValue(getValues()[i]);
            }
            dest.writeParcelableArray( responseValues, flags);
        }
        else
            dest.writeParcelableArray( null, flags);
    }
}