package com.ejgv.gvi.dmo;

import android.os.Parcel;
import android.os.Parcelable;

import com.ejgv.gvi.restapipns.dto.DTOPnsMsgPrivateResponseValues;

/**
 * Created by Batura Mobile Solutions (Koldo Calvo).
 */
public class DMOPnsMsgPrivateResponseValue extends DTOPnsMsgPrivateResponseValues implements Parcelable
{
    public DMOPnsMsgPrivateResponseValue()
    {
    }

    public DMOPnsMsgPrivateResponseValue(DTOPnsMsgPrivateResponseValues dtoPnsMsgPrivateResponseValues)
    {
        super();
        if (dtoPnsMsgPrivateResponseValues != null)
        {
            setCode(dtoPnsMsgPrivateResponseValues.getCode());
            setEu(dtoPnsMsgPrivateResponseValues.getEu());
            setEs(dtoPnsMsgPrivateResponseValues.getEs());
        }
    }

    protected DMOPnsMsgPrivateResponseValue(Parcel in)
    {
        setCode(in.readString());
        setEu(in.readString());
        setEs(in.readString());
    }

    public static final Creator<DMOPnsMsgPrivateResponseValue> CREATOR = new Creator<DMOPnsMsgPrivateResponseValue>()
    {
        @Override
        public DMOPnsMsgPrivateResponseValue createFromParcel(Parcel in)
        {
            return new DMOPnsMsgPrivateResponseValue(in);
        }

        @Override
        public DMOPnsMsgPrivateResponseValue[] newArray(int size)
        {
            return new DMOPnsMsgPrivateResponseValue[size];
        }
    };

    @Override
    public int describeContents()
    {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags)
    {
        dest.writeString(getCode());
        dest.writeString(getEu());
        dest.writeString(getEs());
    }

}