package com.ejgv.gvi.restapipns.servicesendingresponses;

import android.content.Context;
import android.os.AsyncTask;

import com.ejgv.gvi.restapipns.dto.DTOResponseSimple;

/**
 * Created by Batura Mobile Solutions (Koldo Calvo).
 */
public class MezuPnsRSPService
{
    private Context mContext;

    /**
     * Constructor
     * @param context
     */
    public MezuPnsRSPService(Context context)
    {
        this.mContext = context;
    }

    /**
     * The class that uses createMsgInCall method must implements this interface
     * to interact with MsgInAsyncTask
     */
    public interface OnMsgInListener
    {
        void onPostMsgInAsyncTask(DTOResponseSimple response);
    }
    /**
     *
     * @param listener
     * @return AsyncTask
     */
    public AsyncTask createMsgInCall(OnMsgInListener listener,
                                     String alias, String codigo, String uuid_app,
                                     String uuid_device, String trans_id, long ts_send)
    {
        return new MsgInAsyncTask(mContext, listener,
                                    alias, codigo, uuid_app,
                                    uuid_device, trans_id, ts_send);
    }

}