package com.ejgv.gvi.restapitrace.service;

import com.ejgv.gvi.utils.UtilsLog;

/**
 * Created by Batura Mobile Solutions (Koldo Calvo).
 */
public class AddTraceRunnable implements Runnable
{
    private static final String TAG = "AddTraceRunnable";

    private AddTraceParams params;

    public AddTraceRunnable()
    {
    }

    public AddTraceRunnable(AddTraceParams params)
    {
        this.params = params;
    }

    @Override
    public void run()
    {
        try
        {
            // Api call
            AddTraceHttpClient addTraceHttpClient = new AddTraceHttpClient();
            addTraceHttpClient.send(params);
        }
        catch (Exception e)
        {
            UtilsLog.d(TAG, "Exception in run", e);
        }
    }
}
