package com.ejgv.gvi.utils;

import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.provider.SyncStateContract;

import com.ejgv.gvi.Constants;

import java.util.Locale;

/**
 * Created by ivanbatura on 27/4/16.
 */
public class URIHandler {

    Context mContext;

    public URIHandler(Context mContext) {
        this.mContext = mContext;
    }

    public void openMap(double latitude, double longitude, String place) {

        String uri = String.format(Locale.ENGLISH, "geo:0,0?q=%f,%f(%s)", latitude, longitude, place);
        Intent intent = new Intent(Intent.ACTION_VIEW, Uri.parse(uri));
        mContext.startActivity(intent);
    }

    public void openPhone(String number) {

        Intent intent = new Intent(Intent.ACTION_DIAL);
        intent.setData(Uri.parse("tel:"+number));
        mContext.startActivity(intent);
    }
}
